HtmlBlock.Block (Apache Hadoop YARN Common 3.5.0 API)
Description: declaration: package: org.apache.hadoop.yarn.webapp.view, class: HtmlBlock, class: Block

Package org.apache.hadoop.yarn.webapp.view

# Class HtmlBlock.Block

java.lang.Object
org.apache.hadoop.yarn.webapp.hamlet2.HamletSpec
org.apache.hadoop.yarn.webapp.hamlet2.HamletImpl
org.apache.hadoop.yarn.webapp.hamlet2.Hamlet
org.apache.hadoop.yarn.webapp.view.HtmlBlock.Block

All Implemented Interfaces:
  `HamletSpec.__`, `HamletSpec._Block`, `HamletSpec._Body`, `HamletSpec._FieldSet`, `HamletSpec._Form`, `HamletSpec._Head`, `HamletSpec._Html`, `HamletSpec._InsDel`, `HamletSpec._Object`, `HamletSpec._Script`, `HamletSpec.Block`, `HamletSpec.Heading`, `HamletSpec.HeadMisc`, `HamletSpec.Listing`, `HamletSpec.Preformatted`

Enclosing class:
  HtmlBlock

public class HtmlBlock.Block extends Hamlet

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.apache.hadoop.yarn.webapp.hamlet2.Hamlet

  `Hamlet.A<T extends HamletSpec.__>, Hamlet.ABBR<T extends HamletSpec.__>, Hamlet.ACRONYM<T extends HamletSpec.__>, Hamlet.ADDRESS<T extends HamletSpec.__>, Hamlet.AREA<T extends HamletSpec.__>, Hamlet.B<T extends HamletSpec.__>, Hamlet.BASE<T extends HamletSpec.__>, Hamlet.BDO<T extends HamletSpec.__>, Hamlet.BLOCKQUOTE<T extends HamletSpec.__>, Hamlet.BODY<T extends HamletSpec.__>, Hamlet.BR<T extends HamletSpec.__>, Hamlet.BUTTON<T extends HamletSpec.__>, Hamlet.CAPTION<T extends HamletSpec.__>, Hamlet.CITE<T extends HamletSpec.__>, Hamlet.CODE<T extends HamletSpec.__>, Hamlet.COL<T extends HamletSpec.__>, Hamlet.COLGROUP<T extends HamletSpec.__>, Hamlet.DD<T extends HamletSpec.__>, Hamlet.DEL<T extends HamletSpec.__>, Hamlet.DFN<T extends HamletSpec.__>, Hamlet.DIV<T extends HamletSpec.__>, Hamlet.DL<T extends HamletSpec.__>, Hamlet.DT<T extends HamletSpec.__>, Hamlet.EM<T extends HamletSpec.__>, Hamlet.FIELDSET<T extends HamletSpec.__>, Hamlet.FORM<T extends HamletSpec.__>, Hamlet.H1<T extends HamletSpec.__>, Hamlet.H2<T extends HamletSpec.__>, Hamlet.H3<T extends HamletSpec.__>, Hamlet.H4<T extends HamletSpec.__>, Hamlet.H5<T extends HamletSpec.__>, Hamlet.H6<T extends HamletSpec.__>, Hamlet.HEAD<T extends HamletSpec.__>, Hamlet.HR<T extends HamletSpec.__>, Hamlet.HTML<T extends HamletSpec.__>, Hamlet.I<T extends HamletSpec.__>, Hamlet.IMG<T extends HamletSpec.__>, Hamlet.INPUT<T extends HamletSpec.__>, Hamlet.INS<T extends HamletSpec.__>, Hamlet.KBD<T extends HamletSpec.__>, Hamlet.LABEL<T extends HamletSpec.__>, Hamlet.LEGEND<T extends HamletSpec.__>, Hamlet.LI<T extends HamletSpec.__>, Hamlet.LINK<T extends HamletSpec.__>, Hamlet.MAP<T extends HamletSpec.__>, Hamlet.META<T extends HamletSpec.__>, Hamlet.OBJECT<T extends HamletSpec.__>, Hamlet.OL<T extends HamletSpec.__>, Hamlet.OPTGROUP<T extends HamletSpec.__>, Hamlet.OPTION<T extends HamletSpec.__>, Hamlet.P<T extends HamletSpec.__>, Hamlet.PARAM<T extends HamletSpec.__>, Hamlet.PRE<T extends HamletSpec.__>, Hamlet.Q<T extends HamletSpec.__>, Hamlet.SAMP<T extends HamletSpec.__>, Hamlet.SCRIPT<T extends HamletSpec.__>, Hamlet.SELECT<T extends HamletSpec.__>, Hamlet.SMALL<T extends HamletSpec.__>, Hamlet.SPAN<T extends HamletSpec.__>, Hamlet.STRONG<T extends HamletSpec.__>, Hamlet.STYLE<T extends HamletSpec.__>, Hamlet.SUB<T extends HamletSpec.__>, Hamlet.SUP<T extends HamletSpec.__>, Hamlet.TABLE<T extends HamletSpec.__>, Hamlet.TBODY<T extends HamletSpec.__>, Hamlet.TD<T extends HamletSpec.__>, Hamlet.TEXTAREA<T extends HamletSpec.__>, Hamlet.TFOOT<T extends HamletSpec.__>, Hamlet.TH<T extends HamletSpec.__>, Hamlet.THEAD<T extends HamletSpec.__>, Hamlet.TITLE<T extends HamletSpec.__>, Hamlet.TR<T extends HamletSpec.__>, Hamlet.UL<T extends HamletSpec.__>, Hamlet.VAR<T extends HamletSpec.__>`

  ## Nested classes/interfaces inherited from class org.apache.hadoop.yarn.webapp.hamlet2.HamletImpl

  `HamletImpl.EImp<T extends HamletSpec.__>, HamletImpl.EOpt, HamletImpl.Generic<T extends HamletSpec.__>`

  ## Nested classes/interfaces inherited from class org.apache.hadoop.yarn.webapp.hamlet2.HamletSpec

  `HamletSpec.__, HamletSpec._Anchor, HamletSpec._Block, HamletSpec._Body, HamletSpec._Cell, HamletSpec._Child, HamletSpec._Content, HamletSpec._Dl, HamletSpec._FieldSet, HamletSpec._FontSize, HamletSpec._FontStyle, HamletSpec._Form, HamletSpec._FormCtrl, HamletSpec._Head, HamletSpec._Html, HamletSpec._ImgObject, HamletSpec._InsDel, HamletSpec._Label, HamletSpec._Legend, HamletSpec._Li, HamletSpec._Object, HamletSpec._Option, HamletSpec._Param, HamletSpec._RawContent, HamletSpec._Script, HamletSpec._Special, HamletSpec._SubSup, HamletSpec._Table, HamletSpec._TableCol, HamletSpec._TableRow, HamletSpec._Tr, HamletSpec.Attrs, HamletSpec.Block, HamletSpec.ButtonType, HamletSpec.CoreAttrs, HamletSpec.Dir, HamletSpec.Element, HamletSpec.EventsAttrs, HamletSpec.Flow, HamletSpec.FontStyle, HamletSpec.FormCtrl, HamletSpec.Heading, HamletSpec.HeadMisc, HamletSpec.I18nAttrs, HamletSpec.Inline, HamletSpec.InputType, HamletSpec.LinkType, HamletSpec.Listing, HamletSpec.Media, HamletSpec.Method, HamletSpec.PCData, HamletSpec.Phrase, HamletSpec.Preformatted, HamletSpec.Scope, HamletSpec.Shape, HamletSpec.Special`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `subView(Class<? extends SubView> cls)`
  Sub-classes should override this to do something interesting.

  ### Methods inherited from class org.apache.hadoop.yarn.webapp.hamlet2.Hamlet

  `__, address, address, base, base, blockquote, body, body, bq, del, del, div, div, dl, dl, fieldset, fieldset, form, form, h1, h1, h1, h2, h2, h2, h3, h3, h3, h4, h4, h4, h5, h5, h5, h6, h6, h6, head, hr, hr, ins, ins, link, link, meta, meta, meta_http, object, object, ol, ol, p, p, pre, pre, script, script, style, style, table, table, title, title, ul, ul`

  ### Methods inherited from class org.apache.hadoop.yarn.webapp.hamlet2.HamletImpl

  `getWriter, indent, nestLevel, parseSelector, printAttr, printEndTag, printStartTag, root, root, setLinkHref, setScriptSrc, setSelector, setWasInline, wasInline`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### subView

    protected void subView(Class<? extends SubView> cls)
    Description copied from class: `HamletImpl`
    Sub-classes should override this to do something interesting.
    Overrides:
      `subView` in class `HamletImpl`
    Parameters:
      `cls` - the sub-view class